Bug 81054 - Mac Specific (Random crash)
Summary: Mac Specific (Random crash)
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-08 14:26 UTC by mahesh patil
Modified: 2015-05-06 14:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mahesh patil 2014-07-08 14:26:33 UTC
CTLayout class in VCL/quartz has member mpTextStyle of type CoreTextStyle class which is initialised from AquaSalGraphics. But during pdf export, Drawlayout function calculates font matric which temporarily replace font with another font for matric calculation. thus mpTextStyle pointer get released and AquaSalGraphics creates another CoreTextStyle for same font and CTLayout has illegal memory. So CTLayout mpTextStyle should be pointer to pointer instead of simple pointer. It may be substitution related issue.
Comment 1 Matthew Francis 2014-09-28 03:04:40 UTC
Please provide more information on the issue you are seeing.

To diagnose the issue, it would be useful if you could attach:
- A sample document to reproduce the issue
- A backtrace from the crash

It seems from your comment that you already have a theory about the cause of the crash. If so, it would also be helpful if you could mention the specific source files and line numbers involved
Comment 2 QA Administrators 2015-04-01 14:47:12 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 3 Julien Nabet 2015-04-20 14:35:43 UTC
I created a thread here http://nabble.documentfoundation.org/About-tdf-81054-MacOs-Random-crash-td4146733.html but we really need more information.
1) A file to reproduce the problem
2) A step by step process to reproduce the crash

Since I've got a Mac, I can give a try and may retrieve a bt.
Comment 4 QA Administrators 2015-05-06 14:21:31 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team